XDF_CLOSE(3)

NAME
xdf_close - Close a xDF file

SYNOPSIS

#include <xdfio.h>

int xdf_close(struct xdf* xdf);

DESCRIPTION

xdf_close() closes the xDF file referenced by the handle xdf. When the file is closed, if a record is not full, it will be completed by zeros. After a call to xdf_close(), xdf should not be used anymore even if the call fails since all resources associated will be freed anyways.

RETURN VALUE

The function returns 0 in case of succes. Otherwise, -1 is returned and errno is set accordingly.

ERRORS

EINVAL
    xdf is NULL

EFBIG
    An attempt was made to write a file that exceeds the implementation-defined maximum file size or the process's file size limit, or to write at a position past the maximum allowed offset.

EINTR
    The call was interrupted by a signal before any data was written; see signal(7).

EIO A low-level I/O error occurred while modifying the inode.

ENOSPC
    The device containing the xDF file has no room for the data.

ESTALE
    Stale file handle. This error can occur for NFS and for other file systems